Page MenuHomePhabricator

Improve encoding management in Diffusion
Closed, ResolvedPublic

Description

@staticshock reports that a file with a single latin-1 character is degrading pretty badly in Diffusion (showing a blank file instead of describing the error or recovering from it).

Broadly, if we hit a file which has an encoding which we don't expect (i.e., not the repository's configured encoding, as per T452), we should try to recover more gracefully. Anything (explicit error, attempted conversion with note) would be better than what we do now.

See also T2999, T452.

Event Timeline

epriestley triaged this task as Normal priority.Sep 3 2013, 2:01 PM
epriestley added a project: Diffusion.
epriestley added subscribers: epriestley, staticshock.
epriestley edited this Maniphest Task.Nov 4 2013, 7:35 PM
octera added a subscriber: octera.Aug 15 2014, 10:07 PM
chad changed the visibility from "All Users" to "Public (No Login Required)".Jul 3 2015, 5:22 AM
eadler added a project: Restricted Project.Aug 5 2016, 5:24 PM
qgil removed a subscriber: qgil.Sep 15 2016, 7:32 AM
epriestley moved this task from Backlog to Triage on the Diffusion board.Feb 2 2017, 4:02 PM
epriestley closed this task as Resolved.Apr 5 2018, 5:51 PM
epriestley claimed this task.

See T13105 for browse cases (and perhaps diff cases, eventually).